# Update an Unmanaged Access Grant

* [Request Parameters](#request-parameters)
* [Response](#response)

Updates an unmanaged Access Grant to make it managed.

This endpoint can only be used to convert unmanaged access grants to managed ones by setting `is_managed` to `true`. It cannot be used to convert managed access grants back to unmanaged.

When converting an unmanaged access grant to managed, all associated access methods will also be converted to managed.

<details>

<summary>Authentication Methods</summary>

* API key
* Client session token
* Personal access token\
  Must also include the `seam-workspace` header in the request.

To learn more, see [Authentication](https://docs.seam.co/latest/api/authentication).

</details>

## Request Parameters

**`access_grant_id`** *String* (Required)

ID of the unmanaged Access Grant to update.

***

**`is_managed`** *Boolean* (Required)

Must be set to true to convert the unmanaged access grant to managed.

***

**`access_grant_key`** *String*

Unique key for the access grant. If not provided, the existing key will be preserved.

***

## Response

{% hint style="success" %}
Returns: **void**
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/api/access_grants/unmanaged/update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
